Update mockup comment
curl --request PUT \
--url https://api.surefeedback.com/api/v1/mockup-comments/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"content": "<string>",
"description": "<string>",
"status": "<string>",
"priority": "<string>",
"mentions": [
{}
]
}
'import requests
url = "https://api.surefeedback.com/api/v1/mockup-comments/{id}"
payload = {
"content": "<string>",
"description": "<string>",
"status": "<string>",
"priority": "<string>",
"mentions": [{}]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: '<string>',
description: '<string>',
status: '<string>',
priority: '<string>',
mentions: [{}]
})
};
fetch('https://api.surefeedback.com/api/v1/mockup-comments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Comment updated successfully",
"data": {
"id": "220e8400-e29b-41d4-a716-44665544000c",
"content": "Updated: Use the darker green from the design system.",
"status": "IN_PROGRESS",
"priority": "HIGH"
}
}
Mockups
Update mockup comment
Update a mockup comment.
PUT
/
mockup-comments
/
{id}
Update mockup comment
Updates a mockup comment. The current implementation only allows the comment author to edit the comment.
Path parameters
string
required
UUID of the mockup comment.
Request body
string
Updated comment text.
string
Optional extended description.
string
Updated status:
OPEN, IN_PROGRESS, or RESOLVED.string
Updated priority:
LOW, MEDIUM, or HIGH.array
Array of mentioned user IDs.
{
"success": true,
"message": "Comment updated successfully",
"data": {
"id": "220e8400-e29b-41d4-a716-44665544000c",
"content": "Updated: Use the darker green from the design system.",
"status": "IN_PROGRESS",
"priority": "HIGH"
}
}
Was this page helpful?
⌘I